summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin/tl-update-bindir
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2020-03-23 16:24:17 +0000
committerKarl Berry <karl@freefriends.org>2020-03-23 16:24:17 +0000
commita82c8ebf466d67b0863c072eee1ac66b01450887 (patch)
treee2e11690c3e2872735a4bf8a602323313bc9aafe /Master/tlpkg/bin/tl-update-bindir
parent1faf4b947abcd83e812da38704f5958aa92fccac (diff)
x86_64-darwin bin update special; less verbose, etc.
git-svn-id: svn://tug.org/texlive/trunk@54499 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/tlpkg/bin/tl-update-bindir')
-rwxr-xr-xMaster/tlpkg/bin/tl-update-bindir12
1 files changed, 10 insertions, 2 deletions
diff --git a/Master/tlpkg/bin/tl-update-bindir b/Master/tlpkg/bin/tl-update-bindir
index d9b022d4585..c654bd3ab7a 100755
--- a/Master/tlpkg/bin/tl-update-bindir
+++ b/Master/tlpkg/bin/tl-update-bindir
@@ -186,8 +186,16 @@ for tlplat in $tlplats; do
default_bin_loc=$download_loc
$grab http://sanibeltranquility.com/cygwin/$tlplat.tgz;;
x86_64-darwin)
+ # current mac is different than everything else; it now contains
+ # only the changed and new files (whether files or symlinks),
+ # because binaries have to be "hardened", and hardening always changes
+ # the contents. Don't want everything to change every time. Have
+ # to do removals manually, but this seems the least bad. --karl, 22mar20
default_bin_loc=/home/koch/$tlplat.tar.xz
- echo "fix me, now only modified programs, goodbye" >&2; exit 1;
+ cd $destdir || exit 1
+ tar xf $default_bin_loc || exit 1
+ svn status | sort
+ exit 0
;;
x86_64-darwinlegacy)
default_bin_loc=$download_loc
@@ -262,7 +270,7 @@ for tlplat in $tlplats; do
find "$srcdir" -name biber\* | xargs rm -f
# may need to cd into a subdirectory, depending on how the tar was made.
- while test `ls $srcdir | wc -l` = 1; do
+ while test `ls $srcdir | wc -l` -eq 1; do
srcdir=$srcdir/*
done